Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

Create for a post

Add engagements (likes, comments, reposts) to a post. Engagements will be executed automatically when the post is published.

Tagging on LinkedIn: To mention someone in a comment or repost, use the format @[Display Name](urn). See LinkedIn Mentions for details on how to look up URNs.

LinkedIn reaction types: For Like engagements on LinkedIn, you can specify a reaction type (Like, Celebrate, Love, Insightful, Support, Funny). Defaults to Like if not specified. Must not be provided for Comment or Repost.

Validation rules:

  • copy is required for Comment, optional for Repost, must not be provided for Like
  • delaySeconds is required for Comment and Repost (any integer from 0 to 86400 — up to 24 hours), must not be provided for Like
  • reactionType is only for Like engagements on LinkedIn (defaults to Like if omitted)
  • Only one Like engagement per profile is allowed
POST/posts/{postId}/engagements
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Path parameters
postIdstring<uuid>required

Post ID (UUID)

Request body
requiredapplication/json
channelEngagementChannelrequired
Allowed:LinkedInTwitter
engagementsEngagementInput[]required
min items 1
Show properties
Array of EngagementInput
typeEngagementTyperequired
Allowed:LikeCommentRepost
profileIdstring<uuid>required

The profile ID that will perform the engagement

copystring

The text content. Required for Comment, optional for Repost, must not be provided for Like.

min length 1
delaySecondsinteger

Delay in seconds after the post publishes. Accepts any integer from 0 to 86400 (24 hours). Required for Comment and Repost, must not be provided for Like.

min 0 · max 86400
reactionTypeLinkedInReactionType

LinkedIn reaction type for Like engagements. Only applicable when type is Like and channel is LinkedIn. Defaults to Like if not specified.

Allowed:LikeCelebrateLoveInsightfulSupportFunny
Responses
200

Engagements created

engagementsEngagement[]
Show properties
Array of Engagement
idstring<uuid>
channelEngagementChannel
Allowed:LinkedInTwitter
typeEngagementType
Allowed:LikeCommentRepost
profileIdstring<uuid>

The profile ID that will perform the engagement

copystring | null

The text content for Comment or Repost engagements. Required for Comment, optional for Repost, must not be provided for Like.

delaySecondsinteger

Delay in seconds after the post publishes. For Comment and Repost, this is the delay until the engagement fires (0 means immediate). Always 0 for Like.

min 0 · max 86400
reactionTypeLinkedInReactionType

LinkedIn reaction type for Like engagements. Only applicable when type is Like and channel is LinkedIn. Defaults to Like if not specified.

Allowed:LikeCelebrateLoveInsightfulSupportFunny
400

Bad Request - Invalid input parameters

codestring
messagestring
dataobject
Show properties
errorsobject
401

Unauthorized - Missing or invalid API key

codestring
messagestring
403

Forbidden - Insufficient permissions

codestring
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://app.tryordinal.com/api/v1/posts/497f6eca-6276-4993-bfeb-53cbbbba6f08/engagements' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "channel": "LinkedIn",
  "engagements": [
    {
      "type": "Like",
      "profileId": "550e8400-e29b-41d4-a716-446655440001",
      "reactionType": "Celebrate"
    },
    {
      "type": "Comment",
      "profileId": "550e8400-e29b-41d4-a716-446655440002",
      "copy": "Great insights! Check out our guide for more details.",
      "delaySeconds": 300
    },
    {
      "type": "Repost",
      "profileId": "550e8400-e29b-41d4-a716-446655440003",
      "delaySeconds": 3600
    }
  ]
}'
Response
{
  "engagements": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440800",
      "type": "Like",
      "profileId": "550e8400-e29b-41d4-a716-446655440001",
      "copy": null,
      "delaySeconds": 0,
      "reactionType": "Celebrate"
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440801",
      "type": "Comment",
      "profileId": "550e8400-e29b-41d4-a716-446655440002",
      "copy": "Great insights! Check out our guide for more details.",
      "delaySeconds": 300
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440802",
      "type": "Repost",
      "profileId": "550e8400-e29b-41d4-a716-446655440003",
      "copy": null,
      "delaySeconds": 3600
    }
  ]
}